DCMTK - Bug #584

Incorrect matching on multi-valued worklist entries
2014-01-14 17:24 - Michael Onken

Status: Closed Start date: 2014-01-14
Priority: Normal Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Library Estimated time: 2:00 hours
Target version: 3.6.2

Module: demwlm Compiler:

Operating System:

Description

The worklist server does not match correctly if it needs to match a single value against a multi-valued data element inside its
database. The most popular attriute here is "Scheduled Station AE Title" which has VM 1-n. If the server receives a single value (like
"CT1") and a job contains multiple values (e.g. "CT1\CT2"), then no match is generated. Only a query "CT1\CT2" will produce the
result. This is not conformant to the DICOM standard which states in Annex K of part 4:

K.2.2.3 Matching Multiple Values

When matching an Attribute which has a value multiplicity of greater than one, if any of the values match,
then all values shall be returned.

It has to be checked whether further supported attributes besides Scheduled Station AE Title are affected.

Related issues:
Is duplicate of DCMTK - Bug #413: Worklist Management SCP does not support "M... Closed 2012-05-10

History

#1 - 2014-01-14 17:27 - J6rg Riesmeier

This seems to be a duplicate of #413.

#2 - 2017-05-02 17:36 - Jan Schlamelcher

- Assignee set to Jan Schlamelcher

#3 - 2017-07-17 10:36 - Jan Schlamelcher
- Status changed from New to Closed

- % Done changed from 0 to 100

Closed by commit #93da64af32038dc83 and recently veryfied.
